<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: SDL_UserEvent Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">SDL_UserEvent Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A user-defined event type (event.user.*)  
 <a href="struct_s_d_l___user_event.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_s_d_l__events_8h_source.html">SDL_events.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ab7afa8b98dbd7b52bef41155e10f7340"><td class="memItemLeft" align="right" valign="top">Uint32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___user_event.html#ab7afa8b98dbd7b52bef41155e10f7340">type</a></td></tr>
<tr class="separator:ab7afa8b98dbd7b52bef41155e10f7340"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbf1d34c73138a0c549310e5d4ad0c35"><td class="memItemLeft" align="right" valign="top">Uint32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___user_event.html#adbf1d34c73138a0c549310e5d4ad0c35">timestamp</a></td></tr>
<tr class="separator:adbf1d34c73138a0c549310e5d4ad0c35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abccefa10e0e0e3a0801bc6d836a08da7"><td class="memItemLeft" align="right" valign="top">Uint32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___user_event.html#abccefa10e0e0e3a0801bc6d836a08da7">windowID</a></td></tr>
<tr class="separator:abccefa10e0e0e3a0801bc6d836a08da7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef47976781ee82b527a353c5acfa0a34"><td class="memItemLeft" align="right" valign="top">Sint32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___user_event.html#aef47976781ee82b527a353c5acfa0a34">code</a></td></tr>
<tr class="separator:aef47976781ee82b527a353c5acfa0a34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2893a12be2f97195f16463a23107913"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___user_event.html#ab2893a12be2f97195f16463a23107913">data1</a></td></tr>
<tr class="separator:ab2893a12be2f97195f16463a23107913"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae4dbf65c34d654c9edf519eb061b7cf"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___user_event.html#aae4dbf65c34d654c9edf519eb061b7cf">data2</a></td></tr>
<tr class="separator:aae4dbf65c34d654c9edf519eb061b7cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A user-defined event type (event.user.*) </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="aef47976781ee82b527a353c5acfa0a34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef47976781ee82b527a353c5acfa0a34">&#9670;&nbsp;</a></span>code</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Sint32 SDL_UserEvent::code</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>User defined event code </p>

</div>
</div>
<a id="ab2893a12be2f97195f16463a23107913"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2893a12be2f97195f16463a23107913">&#9670;&nbsp;</a></span>data1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* SDL_UserEvent::data1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>User defined data pointer </p>

</div>
</div>
<a id="aae4dbf65c34d654c9edf519eb061b7cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae4dbf65c34d654c9edf519eb061b7cf">&#9670;&nbsp;</a></span>data2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* SDL_UserEvent::data2</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>User defined data pointer </p>

</div>
</div>
<a id="adbf1d34c73138a0c549310e5d4ad0c35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbf1d34c73138a0c549310e5d4ad0c35">&#9670;&nbsp;</a></span>timestamp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint32 SDL_UserEvent::timestamp</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>In milliseconds, populated using <a class="el" href="_s_d_l__timer_8h.html#a0b9bc71d6287e0ffafdc3419760fe2b3" title="Get the number of milliseconds since the SDL library initialization.">SDL_GetTicks()</a> </p>

</div>
</div>
<a id="ab7afa8b98dbd7b52bef41155e10f7340"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7afa8b98dbd7b52bef41155e10f7340">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint32 SDL_UserEvent::type</td>
        </tr>
      </table>
</div><div class="memdoc">
<p><a class="el" href="_s_d_l__events_8h.html#a3b589e89be6b35c02e0dd34a55f3fccaa4364c23f54802309e83fdb9b1c07c719">SDL_USEREVENT</a> through <a class="el" href="_s_d_l__events_8h.html#a3b589e89be6b35c02e0dd34a55f3fccaaffeac40a4ff366717c0ebc74118ea2ae">SDL_LASTEVENT</a>-1 </p>

</div>
</div>
<a id="abccefa10e0e0e3a0801bc6d836a08da7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abccefa10e0e0e3a0801bc6d836a08da7">&#9670;&nbsp;</a></span>windowID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint32 SDL_UserEvent::windowID</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The associated window if any </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/SDL/<a class="el" href="_s_d_l__events_8h_source.html">SDL_events.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
